STRUCT NAND_HW_CO(9)

NAME
struct nand_hw_control - Control structure for hardware controller (e.g ECC generator) shared among independend devices

SYNOPSIS
struct nand_hw_control {
  spinlock_t lock;
  struct nand_chip * active;
  wait_queue_head_t wq;
};

MEMBERS

lock
    protection lock

active
    the mtd device which holds the controller currently

wq  wait queue to sleep on if a NAND operation is in progress used instead of the per chip wait queue when a hw controller is available

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.